@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class Address {
   addressId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   classNameId: bigint(20)
   classPK: bigint(20)
   countryId: bigint(20)
   listTypeId: bigint(20)
   regionId: bigint(20)
   city: varchar(75)
   description: longtext
   latitude: double
   longitude: double
   mailing: tinyint(4)
   name: varchar(255)
   primary_: tinyint(4)
   street1: varchar(255)
   street2: varchar(255)
   street3: varchar(255)
   validationDate: datetime(6)
   validationStatus: int(11)
   zip: varchar(75)
}
class Phone {
   phoneId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   number_: varchar(75)
   extension: varchar(75)
   listTypeId: bigint(20)
   primary_: tinyint(4)
}

Phone }o--o| Address:ClassPk
@enduml
